// gallerie.wdl

var video_mode = 11;
var video_depth = 32;
var d3d_lightres = on;
var d3d_alphadepth = 32;
var d3d_shadowdepth = 24;
var d3d_mipmapping = 3;
var d3d_anisotropy = 16;
var tex_share = 1;
var clip_factor = 1;
var turb_range = 0.4;
var turb_speed = 0.7;
var detail_size = 4;
var clip_size = 0;
var clip_factor= 1; 
var shadow_offset = 0.25; 
var shadow_threshold = 50;
var fps_max = 70;
var fps_min = 35;
var max_entities = 2000; 
var d3d_transform = on;
var move_friction = 0;
var logo = 0;
var video_screen = 1;
var shadow_stencil=1;
var max_particles = 200000;
var d3d_automaterial = 1;


sky cube 
{ 
type=<sky_morning+6.tga>; 
layer=2; 
z=20;              
material=mat_sky; 
flags=cube,visible; 
} 


function main 
{        
	     
		  level_load("kathetrale02.wmb");
        freeze_mode = 1;
	     wait(4);
	     freeze_mode = 0;
	     d3d_autotransparency = on;
        camera.clip_far = 12000;
        camera.clip_near = 5;
        wait(3);
}

material stein_mdl
{
	emissive_blue = 30;
   emissive_green = 32;
   emissive_red = 32;
  
   ambient_blue = 30;    
   ambient_green = 32;    
   ambient_red = 32;    
 
   diffuse_blue = 30;
   diffuse_green = 32;  
   diffuse_red = 32;
 
   specular_blue = 0;
   specular_green = 0;  
   specular_red = 0;
 
   power = 5;
   albedo 50;
}

action steine
{
	my.material = stein_mdl;
	my.dynamic = off;
	my.unlit=off;
	my.passable = on;
}

material stein_mdl2
{
	emissive_blue = 60;
   emissive_green = 68;
   emissive_red = 68;
  
   ambient_blue = 60;    
   ambient_green = 68;    
   ambient_red = 68;    
 
   diffuse_blue = 60;
   diffuse_green = 68;
   diffuse_red = 68;
 
   specular_blue = 0;
   specular_green = 0;  
   specular_red = 0;
 
   power = 5;
   albedo 50;
}

action steine2
{
	my.material = stein_mdl2;
	my.dynamic = off;
	my.unlit=off;
	my.passable = on;
}

material gelaender_mdl
{
	emissive_blue = 30;
   emissive_green = 30;
   emissive_red = 30;
  
   ambient_blue = 30;    
   ambient_green = 30;    
   ambient_red = 30;    
 
   diffuse_blue = 30;
   diffuse_green = 30;  
   diffuse_red = 30;
 
   specular_blue = 30;
   specular_green = 30;  
   specular_red = 30;
 
   power = 0;
   albedo 0;
}

action gelaender
{
	my.material = stein_mdl;
	my.dynamic = off;
	my.unlit=on;
	my.passable = on;
}

material kreuz_mdl
{
	emissive_blue = 60;
   emissive_green = 68;
   emissive_red = 68;
  
   ambient_blue = 60;    
   ambient_green = 68;    
   ambient_red = 68;    
 
   diffuse_blue = 60;
   diffuse_green = 68;  
   diffuse_red = 68;
 
   specular_blue = 60;
   specular_green = 68;  
   specular_red = 68;
 
   power = 0;
   albedo 50;
}

action kreuz
{
	my.material = kreuz_mdl;
	my.dynamic = off;
	my.unlit=off;
	my.passable = on;
}

material licht_mdl
{
	emissive_blue = 60;
   emissive_green = 68;
   emissive_red = 68;
  
   ambient_blue = 60;    
   ambient_green = 68;    
   ambient_red = 68;    
 
   diffuse_blue = 60;
   diffuse_green = 68;  
   diffuse_red = 68;
 
   specular_blue = 60;
   specular_green = 68;  
   specular_red = 68;
 
   power = 10;
   albedo 50;
}

action licht
{
	my.material = licht_mdl;
	my.dynamic = off;
	my.unlit=off;
	my.passable = on;
	my.flare = on;
	my.bright=on;
	my.transparent=on;
	my.alpha=20;
}

material licht_mdl2
{
	emissive_blue = 60;
   emissive_green = 60;
   emissive_red = 60;
  
   ambient_blue = 60;    
   ambient_green = 60;    
   ambient_red = 60;    
 
   diffuse_blue = 60;
   diffuse_green = 60;  
   diffuse_red = 60;
 
   specular_blue = 60;
   specular_green = 60;  
   specular_red = 60;
 
   power = 0;
   albedo 50;
}

action licht2
{
	my.oriented = off;
   my.facing = on;
   while(me)
   {
      vec_set(temp.x,camera.x);
      vec_sub(temp.x,my.x);
      vec_to_angle(my.pan,temp);
      wait(1);
   }
	
	//my.material = licht_mdl2;
	my.dynamic = off;
	my.unlit=off;
	my.passable = on;
	my.flare = on;
	my.bright=on;
	my.transparent=on;
	my.alpha=20;
}

material leuchter_mdl
{
	emissive_blue = 40;
   emissive_green = 40;
   emissive_red = 40;
  
   ambient_blue = 40;    
   ambient_green = 40;    
   ambient_red = 40;    
 
   diffuse_blue = 40;
   diffuse_green = 40;  
   diffuse_red = 40;
 
   specular_blue = 40;
   specular_green = 40;  
   specular_red = 40;
 
   power = 10;
   albedo 50;
}

action leuchter
{
	my.material = leuchter_mdl;
	my.dynamic = off;
	my.unlit=off;
	my.passable = on;
}
